Loading...
Searching...
No Matches
ITrcTypedBase Class Reference

Abstract base class to for interfaces templated types. More...

`#include <trc_abs_typed_base_i.h>`

Inheritance diagram for ITrcTypedBase:
[legend]

## Public Member Functions

| ITrcTypedBase ()
virtual | ~ITrcTypedBase ()

## Detailed Description

Abstract base class to for interfaces templated types.

This class is used as an abstract base for any interfaces that are specialised using template<> types.

Designed to allow interface objects to be passed through generic interfaces into type specific templated implmentation handlers and converted/checked using RTTI.

Definition at line 49 of file trc_abs_typed_base_i.h.

## Constructor & Destructor Documentation

## ITrcTypedBase()

ITrcTypedBase::ITrcTypedBase | ( |  | ) |

inline

Definition at line 52 of file trc_abs_typed_base_i.h.

## ~ITrcTypedBase()

virtual ITrcTypedBase::~ITrcTypedBase | ( |  | ) |

inline virtual

Definition at line 53 of file trc_abs_typed_base_i.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/interfaces/trc_abs_typed_base_i.h